Search the Community

Showing results for tags 'eclipse'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • HTML5 Game Coding
    • News
    • Game Showcase
    • Facebook Instant Games
    • Coding and Game Design
  • Frameworks
    • Phaser 3
    • Phaser 2
    • Pixi.js
    • Babylon.js
    • Panda 2
    • melonJS
    • Haxe JS
    • Kiwi.js
  • General
    • General Talk
  • Business
    • Collaborations (un-paid)
    • Jobs (Hiring and Freelance)
    • Services Offered

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Joined

  • Start

    End


Group


Website URL


Twitter


Skype


Location


Interests

Found 5 results

  1. SUMMARY: This post: HOW TO 2nd post: Original question that originated this post 3rd post: Research log concerning some problems and workarounds pertinent to this how-to THIS HOW-TO IS IN AN UNUSABLE STATE, AND HAS BEEN NOW ABANDONED. SORRY FOR THE NOISE. Okay, so after some hours of research here's what I came up with, in case anyone's interested or as a future reference for myself. These are the configuration steps to set up a Phaser project in Eclipse Mars.2 (4.5.2). I guess these might change from version to version, but remain essentially similar. You'll need to set up a local web server, but this is beyond the scope of these instructions. In my case I installed a WAMP (Windows-Apache-MySQL-PHP). 1. Head to http://phaser.io/download/stable and click on "clone". In my case this took me to: https://github.com/photonstorm/phaser/tree/v2.4.8 2. Click on "Clone or download". A dialog unfolds with the git repository URL. Copy to clipboard. In my case it was: https://github.com/photonstorm/phaser.git 3. Go to Eclipse and: Window->Perspective->Open perspective->Other->Git->Ok 4. Select to clone a Git repository. Paste in URI field->Next 5. Select All. Theoretically IIUC you should only need the "Master" branch. But I selected all just in case.->Next 6. It will want to clone in some default directory. It's okay like that, just copy the directory path to the clipboard for later.->Finish 7. Go tease you favorite pet/mate while the repository is cloning. 8. Window->Preferences->JavaScript->Include Path->User Libraries->New->Enter "Phaser" as the library name->Add folder->Paste in the "folder" field->Ok 9. Still in Preferences->General->Web Browser->Use external web browser->Select your html5 browser. In my case I left it at "Default system web browser", which is Chrome. 10. Still in Preferences->Server->Runtime Environments->Add->Basic->HTTP Server->Next->Enter your HTTP local server's web directory in the "Publishing Directory" field. In my case this was: "C:\wamp\www"->Finish->Ok 11. Window->Perspective->Open perspective->Other->Web->Ok 12. File->New->Static Web Project->Enter your project's name in the "Project name" field->Select HTTP Server in Target runtime->Finish 13. Right click on your project->Properties->JavaScript->Include Path->Libraries->Add a JavaScript Library->User Library->Select Phaser->Finish->Ok 14. Download https://github.com/photonstorm/phaser/raw/master/resources/tutorials/01%20Getting%20Started/hellophaser.zip or head to http://phaser.io/tutorials/getting-started/part6 and look for the hello phaser example if the previous link didn't work->Unzip in a temporary folder and drag the contents to your project's "WebContent" folder in Eclipse.->Copy files->Ok 15. Right click on WebContent->Import->General->File System->Next->Browse to your git root directory\phaser\build->Select it->Ok->Check phaser.min.js->Finish->Overwrite?:Yes --- OR --- Use your system browser to open the aforementioned directory and drag phaser.min.js to your WebContent on Eclipse and overwrite. 16. Reformat your code from this: var game = new Phaser.Game(800, 600, Phaser.AUTO, '', { preload: preload, create: create, update: update, render: render }); function preload () { } function create () { } function update () { } function render () { } to this: var state = new Phaser.State(); state.preload=preload; state.create=create; state.update=update; state.render=render; var game = new Phaser.Game(800, 600, Phaser.AUTO, '', state); function preload () { } function create () { } function update () { } function render () { } (More info about this in 3rd post) 17. Right click on your project->Run As->1 Run on Server->Basic->HTTP Server->Next->You might need to change your HTTP Port if your server doesn't default to listening on port 80->Finish Your project should have opened in your browser. NOTE: 1. I have no idea if step 14 is correct, or whether you need to include other files in your project's web content directory. 2. If Content Assist (that's what's called the feature I was calling autocomplete) doesn't pop up, hit CTRL+Spacebar. It should work and display Phaser's API documentation. 3. For following new projects you just need to follow steps: 12 to 17, as long as you don't switch your workspace, of course. 4. I will edit this post to reflect changes if you point out any errors in the procedure, etc. Cheers, Eneko P.S.: Setting up IDEs is always a nightmare, isn't it? Unless you got some template...
  2. PhaserEditor2D

    Phaser Code Completion for Eclipse

    Hello I created a set of Eclipse Editor Templates with the code completions used by the Phaser sandbox (http://phaser.io/sandbox) You can see instructions to install it on Eclipse here: https://bitbucket.org/boniatillo/phasereditortemplates Screenshot:
  3. Hi I present to you the first version of OptiPNG for Eclipse. It is a plugin you can install in Eclipse and then use it to optimize (automatically or manual) the PNG files of your project. Optimize the PNG images help you too keep your game with a smaller size. This plugin was published in the Eclipse Marketplace: http://marketplace.eclipse.org/content/optipng-eclipse So you can install it through the Marketplace Client featured by Eclipse. Read the full guide here: https://bitbucket.org/boniatillo/eclipse-optipng If you are a Phaser developer, there other tools for Eclipse too: Phaser Chains for Eclipse Phaser Editor Templates Here I let you with some screenshots of OptiPNG for Eclipse: Keep updated with @boniatillo_com
  4. JCPalmer

    Gulp Installation Issue

    I need to build babylon.js files. Am using Eclipse 4.4 (Luna) on Ubuntu 14.04 LTS. I built close to the directions on thread: http://www.html5gamedevs.com/topic/7747-contribute-to-bjs-in-javascript/ That thread assumes you are using Windows. The changes I made are that I just installed command-line git from the Ubuntu package repository. I built and installed Node from source (0.10.31). This is because there is a name conflict with the name 'node' in the Ubuntu repository & things are not in the directory tree Gulp expects on linux of '/usr/local'. I changed to the Gulp directory and typed 'sudo npm install -g gulp', and it worked see output below: /babylon/Babylon.js/Tools/gulp$ sudo npm install -g gulp[sudo] password for jeff: /usr/local/bin/gulp -> /usr/local/lib/node_modules/gulp/bin/gulp.jsgulp@3.8.7 /usr/local/lib/node_modules/gulp├── tildify@0.2.0├── interpret@0.3.6├── pretty-hrtime@0.2.1├── deprecated@0.0.1├── archy@0.0.2├── minimist@0.2.0├── semver@3.0.1├── chalk@0.5.1 (escape-string-regexp@1.0.1, ansi-styles@1.1.0, supports-color@0.2.0, has-ansi@0.1.0, strip-ansi@0.3.0)├── orchestrator@0.3.7 (stream-consume@0.1.0, sequencify@0.0.7, end-of-stream@0.1.5)├── gulp-util@3.0.0 (lodash._reinterpolate@2.4.1, dateformat@1.0.8-1.2.3, lodash@2.4.1, vinyl@0.2.3, through2@0.5.1, multipipe@0.1.1, lodash.template@2.4.1)├── liftoff@0.12.1 (extend@1.3.0, resolve@0.7.4, findup-sync@0.1.3)└── vinyl-fs@0.3.6 (graceful-fs@3.0.2, mkdirp@0.5.0, strip-bom@0.3.1, vinyl@0.3.2, through2@0.5.1, glob-stream@3.1.15, lodash@2.4.1, glob-watcher@0.0.6)The problem starts with getting the dependencies: 'sudo npm install' /babylon/Babylon.js/Tools/gulp$ sudo npm installnpm WARN package.json BabylonJS@1.9.0 No repository field.npm WARN deprecated gulp-clean@0.3.1: use gulp-rimraf insteadnpm ERR! Error: EPERM, symlink '../rimraf/bin.js'npm ERR! { [Error: EPERM, symlink '../rimraf/bin.js'] errno: 50, code: 'EPERM', path: '../rimraf/bin.js' }npm ERR! npm ERR! Please try running this command again as root/Administrator.npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path ../rimraf/bin.jsnpm ERR! code EPERMnpm ERR! errno 50npm ERR! stack Error: EPERM, symlink '../rimraf/bin.js'npm ERR! Error: ENOENT, lstat '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/semver/test/index.js'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/semver/test/index.jsnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/semver/test/index.jsnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! error rolling back Error: ENOTEMPTY, rmdir '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/gulp-util/node_modules/through2'npm ERR! error rolling back gulp@3.8.7 { [Error: ENOTEMPTY, rmdir '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/gulp-util/node_modules/through2']npm ERR! error rolling back errno: 53,npm ERR! error rolling back code: 'ENOTEMPTY',npm ERR! error rolling back path: '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/gulp-util/node_modules/through2' }npm ERR! Error: ENOENT, lstat '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/gulp-util/node_modules/multipipe/History.md'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/gulp-util/node_modules/multipipe/History.mdnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/gulp-util/node_modules/multipipe/History.mdnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! Error: ENOENT, lstat '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/gulp-util/node_modules/lodash.template/index.js'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/gulp-util/node_modules/lodash.template/index.jsnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/gulp-util/node_modules/lodash.template/index.jsnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! Error: ENOENT, lstat '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/gulp-util/node_modules/dateformat/lib/dateformat.js'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/gulp-util/node_modules/dateformat/lib/dateformat.jsnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/gulp-util/node_modules/dateformat/lib/dateformat.jsnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! Error: ENOENT, lstat '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/gulp-util/node_modules/vinyl/package.json'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/gulp-util/node_modules/vinyl/package.jsonnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/gulp-util/node_modules/vinyl/package.jsonnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! error rolling back Error: ENOTEMPTY, rmdir '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-util/node_modules/lodash.template/node_modules/lodash._escapestringchar'npm ERR! error rolling back gulp-util@2.2.20 { [Error: ENOTEMPTY, rmdir '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-util/node_modules/lodash.template/node_modules/lodash._escapestringchar']npm ERR! error rolling back errno: 53,npm ERR! error rolling back code: 'ENOTEMPTY',npm ERR! error rolling back path: '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-util/node_modules/lodash.template/node_modules/lodash._escapestringchar' }npm ERR! Error: ENOENT, open '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-util/node_modules/lodash.template/node_modules/lodash.defaults/LICENSE.txt'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-util/node_modules/lodash.template/node_modules/lodash.defaults/LICENSE.txtnpm ERR! code ENOENTnpm ERR! errno 34npm ERR! Error: ENOENT, lstat '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-util/node_modules/minimist/test/parse.js'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-util/node_modules/minimist/test/parse.jsnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-util/node_modules/minimist/test/parse.jsnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! Error: ENOENT, chmod '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-tsc/node_modules/vinyl-fs/.jshintrc'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-tsc/node_modules/vinyl-fs/.jshintrcnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-tsc/node_modules/vinyl-fs/.jshintrcnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! fstream_finish_call chmodnpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:305:19npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! error rolling back Error: ENOTEMPTY, rmdir '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-tsc/node_modules/resolve'npm ERR! error rolling back gulp-tsc@0.9.2 { [Error: ENOTEMPTY, rmdir '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-tsc/node_modules/resolve']npm ERR! error rolling back errno: 53,npm ERR! error rolling back code: 'ENOTEMPTY',npm ERR! error rolling back path: '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-tsc/node_modules/resolve' }npm ERR! Error: ENOENT, lstat '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-tsc/node_modules/async/README.md'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-tsc/node_modules/async/README.mdnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-tsc/node_modules/async/README.mdnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! Error: ENOENT, open '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-stream/node_modules/minimatch/package.json'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-stream/node_modules/minimatch/package.jsonnpm ERR! code ENOENTnpm ERR! errno 34npm ERR! Error: ENOENT, open '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-stream/node_modules/glob2base/package.json'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-stream/node_modules/glob2base/package.jsonnpm ERR! code ENOENTnpm ERR! errno 34npm ERR! Error: ENOENT, open '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-stream/node_modules/glob/package.json'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-stream/node_modules/glob/package.jsonnpm ERR! code ENOENTnpm ERR! errno 34npm ERR! Error: ENOENT, open '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-stream/node_modules/unique-stream/package.json'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-stream/node_modules/unique-stream/package.jsonnpm ERR! code ENOENTnpm ERR! errno 34npm ERR! Error: ENOENT, open '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-stream/node_modules/ordered-read-streams/package.json'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-stream/node_modules/ordered-read-streams/package.jsonnpm ERR! code ENOENTnpm ERR! errno 34npm ERR! error rolling back Error: ENOTEMPTY, rmdir '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/mkdirp/node_modules/minimist'npm ERR! error rolling back vinyl-fs@0.3.6 { [Error: ENOTEMPTY, rmdir '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/mkdirp/node_modules/minimist']npm ERR! error rolling back errno: 53,npm ERR! error rolling back code: 'ENOTEMPTY',npm ERR! error rolling back path: '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/mkdirp/node_modules/minimist' }npm ERR! Error: ENOENT, lstat '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-stream/node_modules/through2/package.json'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-stream/node_modules/through2/package.jsonnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-stream/node_modules/through2/package.jsonnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! Error: ENOENT, lstat '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-uglify/node_modules/gulp-util/node_modules/chalk/node_modules/has-ansi/node_modules/ansi-regex/package.json'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-uglify/node_modules/gulp-util/node_modules/chalk/node_modules/has-ansi/node_modules/ansi-regex/package.jsonnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-uglify/node_modules/gulp-util/node_modules/chalk/node_modules/has-ansi/node_modules/ansi-regex/package.jsonnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! Error: ENOENT, lstat '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-watcher/node_modules/gaze/lib/gaze.js'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-watcher/node_modules/gaze/lib/gaze.jsnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/vinyl-fs/node_modules/glob-watcher/node_modules/gaze/lib/gaze.jsnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! error rolling back Error: ENOTEMPTY, rmdir '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-uglify/node_modules/gulp-util/node_modules/through2/node_modules/readable-stream'npm ERR! error rolling back gulp-util@3.0.0 { [Error: ENOTEMPTY, rmdir '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-uglify/node_modules/gulp-util/node_modules/through2/node_modules/readable-stream']npm ERR! error rolling back errno: 53,npm ERR! error rolling back code: 'ENOTEMPTY',npm ERR! error rolling back path: '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-uglify/node_modules/gulp-util/node_modules/through2/node_modules/readable-stream' }npm ERR! Error: ENOENT, lstat '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-uglify/node_modules/gulp-util/node_modules/through2/node_modules/readable-stream/lib/_stream_passthrough.js'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-uglify/node_modules/gulp-util/node_modules/through2/node_modules/readable-stream/lib/_stream_passthrough.jsnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-uglify/node_modules/gulp-util/node_modules/through2/node_modules/readable-stream/lib/_stream_passthrough.jsnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! Error: ENOENT, lstat '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-uglify/node_modules/uglify-js/lib/parse.js'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-uglify/node_modules/uglify-js/lib/parse.jsnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-uglify/node_modules/uglify-js/lib/parse.jsnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! Error: ENOENT, lstat '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/liftoff/artwork/liftoff-icon.eps'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/liftoff/artwork/liftoff-icon.epsnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp/node_modules/liftoff/artwork/liftoff-icon.epsnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! Error: ENOENT, lstat '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-tsc/node_modules/byline/test/rfc.txt'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-tsc/node_modules/byline/test/rfc.txtnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-tsc/node_modules/byline/test/rfc.txtnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! Error: ENOENT, lstat '/babylon/Babylon.js/Tools/Gulp/node_modules/gulp-tsc/node_modules/typescript/bin/tsc.js'npm ERR! If you need help, you may report this *entire* log,npm ERR! including the npm and node versions, at:npm ERR! <http://github.com/npm/npm/issues>npm ERR! System Linux 3.13.0-34-genericnpm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"npm ERR! cwd /babylon/Babylon.js/Tools/Gulpnpm ERR! node -v v0.10.31npm ERR! npm -v 1.4.23npm ERR! path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-tsc/node_modules/typescript/bin/tsc.jsnpm ERR! fstream_path /babylon/Babylon.js/Tools/Gulp/node_modules/gulp-tsc/node_modules/typescript/bin/tsc.jsnpm ERR! fstream_type Filenpm ERR! fstream_class FileWriternpm ERR! code ENOENTnpm ERR! errno 34npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26npm ERR! fstream_stack Object.oncomplete (evalmachine.<anonymous>:107:15)npm ERR! npm ERR! Additional logging details can be found in:npm ERR! /babylon/Babylon.js/Tools/Gulp/npm-debug.lognpm ERR! not ok code 0I now also see a log file in the current directory which was not there before. It is not quite the same as the output. Can anyone see the problem? I had been turning on .js generation in the Palantir Typescript plug-in, but that has 2 problems: I does not create those 3 unprintable chars at the beginning of each .js. This flags all .js as modified.This does not generate the combined babylon.js Thanks, Jeff npm-debug.log.txt
  5. Gotama

    IDE Magic

    Hey all this is my first post so forgive if its in the wrong location, I did manage to get around to doing a search for IDE and it doesnt look like the topic came up! ​Im a beginner to HTML 5 development and im hoping that it will interest me to actually use it as a tool to develop games for release once ive done a few tutorials and learned some knowledge on html5 game dev. My question is, do you think its alright to use eclipse with impact for html5 game dev? reason being i want to use eclipse is because its what i learned android app development on and have some comfort in using this IDE. Although i am not afraid to branch off to another IDE. Ive done research and it seems to me most HTML 5 users are happy with Webstorm or PHPstorm. Are there any Eclipse guys on this forum? Lay on all your criticism and advice! Thank you and hopefully HTML 5 interest me enough to use it on a commercial level!